Subject: Re: bug#57129: 29.0.50; Improve behavior of conditionals in Eshell

From: Bruno Haible <[email-masked]>
Date: Tue, 23 Aug 2022 16:49:36 +0200

Eli Zaretskii asked:
> > Yes. Running the "case 2" part 1000 times again, among the 2000 generated
> > file names, there are no duplicates — neither on 32-bit mingw, nor on 64-bit
> > mingw.
> 
> Was that with or without using clock_gettime?  If it was with
> clock_gettime, what happens without it (i.e. when 'clock' is used
> instead)?

That was with clock_gettime. Without clock_gettime, i.e. without the
dependency to libwinpthread, the result is the same: no duplicates — neither
on 32-bit mingw, nor on 64-bit mingw.

Bruno